aboutsummaryrefslogtreecommitdiffstats
path: root/testing/nmh/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@st.ilet.to>2016-02-16 16:10:13 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-02-16 16:42:42 +0000
commit1906d6925ee4e8d5e29149c0166790abec5b6fde (patch)
tree07b0e7227d943624194c1092dae2ea31c46e53d4 /testing/nmh/APKBUILD
parentbd36ab5bb1b6a8fd09a94a41d6cca2f20e049caf (diff)
downloadaports-1906d6925ee4e8d5e29149c0166790abec5b6fde.tar.gz
aports-1906d6925ee4e8d5e29149c0166790abec5b6fde.tar.bz2
aports-1906d6925ee4e8d5e29149c0166790abec5b6fde.tar.xz
testing/nmh: new aport
nmh is a powerful electronic mail handling system http://www.nongnu.org/nmh/
Diffstat (limited to 'testing/nmh/APKBUILD')
-rw-r--r--testing/nmh/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/nmh/APKBUILD b/testing/nmh/APKBUILD
new file mode 100644
index 0000000000..d88ad8a12b
--- /dev/null
+++ b/testing/nmh/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: ScrumpyJack <scrumpyjack@st.ilet.to>
+# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
+pkgname=nmh
+pkgver=1.6
+pkgrel=0
+pkgdesc="nmh is a powerful electronic mail handling system"
+url="http://www.nongnu.org/nmh/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="openssl-dev ncurses-dev gnutls-dev readline-dev gdbm-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://download.savannah.nongnu.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --host=$CHOST \
+ --build=$CBUILD \
+ --prefix=/usr \
+ --with-readline \
+ --with-tls \
+ --sysconfdir=/etc/nmh
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="766ff2d37736aef76243df9c6610cb77 nmh-1.6.tar.gz"
+sha256sums="29338ae2bc8722fe8a5904b7b601a63943b72b07b6fcda53f3a354edb6a64bc3 nmh-1.6.tar.gz"
+sha512sums="03775e73f69eb21088e191f41a0bbc2e631956f0d496f87be97981ac2c85d8cbe0680e8ee7e37f97e79c34ccd814fca78f2684acfc8390e333a46c710fbdb2b7 nmh-1.6.tar.gz"